<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__ezi2c_8h" kind="file" language="C++">
    <compoundname>cyhal_ezi2c.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__ezi2c_8c">cyhal_ezi2c.c</includedby>
    <incdepgraph>
      <node id="102">
        <label>stdbool.h</label>
      </node>
      <node id="101">
        <label>stdint.h</label>
      </node>
      <node id="100">
        <label>cyhal_ezi2c.h</label>
        <link refid="cyhal__ezi2c_8h" />
        <childnode refid="101" relation="include">
        </childnode>
        <childnode refid="102" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__ezi2c__slave__cfg__t">cyhal_ezi2c_slave_cfg_t</innerclass>
    <innerclass prot="public" refid="structcyhal__ezi2c__cfg__t">cyhal_ezi2c_cfg_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__ezi2c_1gaffa17caceac4fbb375bcb8b7c524dbfa" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref>, 0))</initializer>
        <briefdescription>
<para>The requested resource type is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="88" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="88" />
      </memberdef>
      <memberdef id="group__group__hal__results__ezi2c_1gae944c60ac92110bb3a05de6f7a4e5491" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_RSLT_ERR_CAN_NOT_REACH_DR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref>, 1))</initializer>
        <briefdescription>
<para>Can not reach desired data rate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="91" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="91" />
      </memberdef>
      <memberdef id="group__group__hal__results__ezi2c_1ga5fbf33476912aecd40ba68aee60daa3b" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_RSLT_ERR_NUM_ADDR_NOT_VALID</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref>, 2))</initializer>
        <briefdescription>
<para>Number of addresses is not valid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="94" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="94" />
      </memberdef>
      <memberdef id="group__group__hal__results__ezi2c_1gaddf9285d2feb8628caf0e22abc8baae4" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_RSLT_ERR_CHECK_USER_CONFIG</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4818692bb8ff6b7b19c2b15e395c1da">CYHAL_RSLT_MODULE_EZI2C</ref>, 3))</initializer>
        <briefdescription>
<para>Number of addresses is not valid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="97" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="97" />
      </memberdef>
      <memberdef id="group__group__hal__ezi2c_1ga702084431e51c0a3bcf649c168de235e" kind="define" prot="public" static="no">
        <name>CYHAL_EZI2C_EVENT_NONE</name>
        <initializer><ref kindref="member" refid="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620aa93306e59d3f7c9cf36c5cbb5294e93f">CYHAL_EZI2C_STATUS_OK</ref></initializer>
        <briefdescription>
<para>CYHAL_EZI2C_EVENT_NONE event is deprecated and that CYHAL_EZI2C_STATUS_OK should be used instead. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="105" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="105" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__ezi2c_1ga88858315f478b071f59d8f0190241c05" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_ezi2c_sub_addr_size_t</name>
        <enumvalue id="group__group__hal__ezi2c_1gga88858315f478b071f59d8f0190241c05a07e90b025b1b700955ecf092e3f278f3" prot="public">
          <name>CYHAL_EZI2C_SUB_ADDR8_BITS</name>
          <briefdescription>
<para>Sub-address is 8 bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga88858315f478b071f59d8f0190241c05a02c8031e6d6864b0132ccb22942cb87f" prot="public">
          <name>CYHAL_EZI2C_SUB_ADDR16_BITS</name>
          <briefdescription>
<para>Sub-address is 16 bits. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_ezi2c_sub_addr_size_t: </bold><linebreak />Size of Sub-Address.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="112" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="108" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="109" />
      </memberdef>
      <memberdef id="group__group__hal__ezi2c_1ga4d5b397b7436fbfe3628090981026d02" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_ezi2c_data_rate_t</name>
        <enumvalue id="group__group__hal__ezi2c_1gga4d5b397b7436fbfe3628090981026d02a2eb589e7af28a6021fd9ef50dfa6006d" prot="public">
          <name>CYHAL_EZI2C_DATA_RATE_100KHZ</name>
          <initializer>= 100000</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga4d5b397b7436fbfe3628090981026d02ab1f50b41ce07dd746e0a3ab71be214f9" prot="public">
          <name>CYHAL_EZI2C_DATA_RATE_400KHZ</name>
          <initializer>= 400000</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga4d5b397b7436fbfe3628090981026d02a10bd59c8175ed6252a17807dc67bc312" prot="public">
          <name>CYHAL_EZI2C_DATA_RATE_1MHZ</name>
          <initializer>= 1000000</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_ezi2c_data_rate_t: </bold><linebreak />Data rate of the slave.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="120" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="115" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="116" />
      </memberdef>
      <memberdef id="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_ezi2c_status_t</name>
        <enumvalue id="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620aa93306e59d3f7c9cf36c5cbb5294e93f" prot="public">
          <name>CYHAL_EZI2C_STATUS_OK</name>
          <initializer>= 0x1UL</initializer>
          <briefdescription>
<para>Each EZI2C slave status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>          </briefdescription>
          <detaileddescription>
<para>Operation completed successfully </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a974cc49bec7a7e8e46a0494e548de1a0" prot="public">
          <name>CYHAL_EZI2C_STATUS_READ1</name>
          <initializer>= 0x2UL</initializer>
          <briefdescription>
<para>The Read transfer intended for the primary slave address is complete. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a45906f2579b75a3ce2ca81d9e3cfa6ea" prot="public">
          <name>CYHAL_EZI2C_STATUS_WRITE1</name>
          <initializer>= 0x4UL</initializer>
          <briefdescription>
<para>The Write transfer intended for the primary slave address is complete. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a58e8abeeb53449b058e29fa40c240ecd" prot="public">
          <name>CYHAL_EZI2C_STATUS_READ2</name>
          <initializer>= 0x8UL</initializer>
          <briefdescription>
<para>The Read transfer intended for the secondary slave address is complete. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620ae77aae5dc453d1e15692eac1e08a3a0a" prot="public">
          <name>CYHAL_EZI2C_STATUS_WRITE2</name>
          <initializer>= 0x10UL</initializer>
          <briefdescription>
<para>The Write transfer intended for the secondary slave address is complete. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a92b8b5fb18e9f08b5f86188bf44c51cc" prot="public">
          <name>CYHAL_EZI2C_STATUS_BUSY</name>
          <initializer>= 0x20UL</initializer>
          <briefdescription>
<para>A transfer intended for the primary address or secondary address is in progress. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a3960bfaec07aae51a3886d36e99d0989" prot="public">
          <name>CYHAL_EZI2C_STATUS_ERR</name>
          <initializer>= 0x40UL</initializer>
          <briefdescription>
<para>An error occurred during a transfer intended for the primary or secondary slave address. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_ezi2c_status_t: </bold><linebreak />Return codes of ezi2c.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="134" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="123" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="124" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__ezi2c_1ga54f0efd8c2288febce0773fc53dd122b" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref></type>
        <definition>typedef cyhal_ezi2c_status_t cyhal_ezi2c_event_t</definition>
        <argsstring />
        <name>cyhal_ezi2c_event_t</name>
        <briefdescription>
<para>This type is deprecated and that cyhal_ezi2c_status_t should be used instead. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="137" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="137" />
      </memberdef>
      <memberdef id="group__group__hal__ezi2c_1ga0ca75741f7b6f241c28d12a4b9e1487a" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_ezi2c_event_callback_t) (void *callback_arg, cyhal_ezi2c_status_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_ezi2c_status_t event)</argsstring>
        <name>cyhal_ezi2c_event_callback_t</name>
        <briefdescription>
<para>Handler for I2C events. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" bodystart="140" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="140" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__ezi2c_1ga0418a0231369904a03c9b19a734a920f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_ezi2c_init</definition>
        <argsstring>(cyhal_ezi2c_t *obj, cyhal_gpio_t sda, cyhal_gpio_t scl, const cyhal_clock_t *clk, const cyhal_ezi2c_cfg_t *cfg)</argsstring>
        <name>cyhal_ezi2c_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>sda</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>scl</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref> *</type>
          <declname>clk</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__ezi2c__cfg__t">cyhal_ezi2c_cfg_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Initialize the EZI2C (slave), and configures its specified pins and clock. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__hal__ezi2c_1subsection_ezi2c_snippet_1">Snippet 1: EZI2C Initialization and Configuration</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to an EZI2C object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">sda</parametername>
</parameternamelist>
<parameterdescription>
<para>The sda pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">scl</parametername>
</parameternamelist>
<parameterdescription>
<para>The scl pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">clk</parametername>
</parameternamelist>
<parameterdescription>
<para>The clock to use can be shared, if NULL a new clock will be allocated </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>The ezi2c configuration (refer to <ref kindref="compound" refid="structcyhal__ezi2c__cfg__t">cyhal_ezi2c_cfg_t</ref> for details) </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="226" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_ezi2c.c" bodystart="109" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="188" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__ezi2c_1ga4a422210bdab95d92fc6afc6b832877f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_ezi2c_free</definition>
        <argsstring>(cyhal_ezi2c_t *obj)</argsstring>
        <name>cyhal_ezi2c_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize the ezi2c object. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The ezi2c object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="250" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_ezi2c.c" bodystart="228" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="194" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__ezi2c_1gae4a966b68ceb0a9b7b467a288357b35d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref></type>
        <definition>cyhal_ezi2c_status_t cyhal_ezi2c_get_activity_status</definition>
        <argsstring>(cyhal_ezi2c_t *obj)</argsstring>
        <name>cyhal_ezi2c_get_activity_status</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>EZI2C slave get activity status This function returns a non-zero value ( <ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref>) if an I2C Read or Write cycle has occurred since the last time this function was called. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__hal__ezi2c_1subsection_ezi2c_snippet_2">Snippet 2: Register Callback function</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The EZI2C object</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the EZI2C (see cyhal_ezi2c_status_t for details) </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="255" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_ezi2c.c" bodystart="252" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="206" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__ezi2c_1gac3a9fbfa0ae4b433f830af7c0130f2f3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_ezi2c_register_callback</definition>
        <argsstring>(cyhal_ezi2c_t *obj, cyhal_ezi2c_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_ezi2c_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__ezi2c_1ga0ca75741f7b6f241c28d12a4b9e1487a">cyhal_ezi2c_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register a EZI2C event callback handler. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__hal__ezi2c_1subsection_ezi2c_snippet_2">Snippet 2: Register Callback function</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The EZI2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when an event triggers </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="263" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_ezi2c.c" bodystart="257" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="216" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__ezi2c_1gac81d408ff91899f328b51c4ba3254536" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_ezi2c_enable_event</definition>
        <argsstring>(cyhal_ezi2c_t *obj, cyhal_ezi2c_status_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_ezi2c_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure and Enable or Disable EZI2C Interrupt. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The EZI2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The EZI2C event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="278" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_ezi2c.c" bodystart="265" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" line="225" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress EZI2C. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="70"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="79"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="preprocessor">#define<sp />CYHAL_EZI2C_RSLT_ERR_INVALID_PIN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="89"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_EZI2C,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="preprocessor">#define<sp />CYHAL_EZI2C_RSLT_ERR_CAN_NOT_REACH_DR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="92"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_EZI2C,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="preprocessor">#define<sp />CYHAL_EZI2C_RSLT_ERR_NUM_ADDR_NOT_VALID<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_EZI2C,<sp />2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="preprocessor">#define<sp />CYHAL_EZI2C_RSLT_ERR_CHECK_USER_CONFIG<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="98"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_EZI2C,<sp />3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="preprocessor">#define<sp />CYHAL_EZI2C_EVENT_NONE<sp />CYHAL_EZI2C_STATUS_OK</highlight><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal">{</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga88858315f478b071f59d8f0190241c05a07e90b025b1b700955ecf092e3f278f3">CYHAL_EZI2C_SUB_ADDR8_BITS</ref>,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga88858315f478b071f59d8f0190241c05a02c8031e6d6864b0132ccb22942cb87f">CYHAL_EZI2C_SUB_ADDR16_BITS</ref><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="112"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga88858315f478b071f59d8f0190241c05">cyhal_ezi2c_sub_addr_size_t</ref>;</highlight></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal">{</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_EZI2C_DATA_RATE_100KHZ<sp />=<sp />100000,</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_EZI2C_DATA_RATE_400KHZ<sp />=<sp />400000,</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp />CYHAL_EZI2C_DATA_RATE_1MHZ<sp /><sp /><sp />=<sp />1000000</highlight></codeline>
<codeline lineno="120"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga4d5b397b7436fbfe3628090981026d02">cyhal_ezi2c_data_rate_t</ref>;</highlight></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal">{</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620aa93306e59d3f7c9cf36c5cbb5294e93f">CYHAL_EZI2C_STATUS_OK</ref><sp /><sp /><sp /><sp /><sp />=<sp />0x1UL,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a974cc49bec7a7e8e46a0494e548de1a0">CYHAL_EZI2C_STATUS_READ1</ref><sp /><sp />=<sp />0x2UL,<sp /><sp /></highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a45906f2579b75a3ce2ca81d9e3cfa6ea">CYHAL_EZI2C_STATUS_WRITE1</ref><sp />=<sp />0x4UL,<sp /><sp /></highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a58e8abeeb53449b058e29fa40c240ecd">CYHAL_EZI2C_STATUS_READ2</ref><sp /><sp />=<sp />0x8UL,<sp /><sp /></highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620ae77aae5dc453d1e15692eac1e08a3a0a">CYHAL_EZI2C_STATUS_WRITE2</ref><sp />=<sp />0x10UL,<sp /><sp /></highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a92b8b5fb18e9f08b5f86188bf44c51cc">CYHAL_EZI2C_STATUS_BUSY</ref><sp /><sp /><sp />=<sp />0x20UL,<sp /><sp /></highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gga43af4b9cfed6e50bd96e4f2434678620a3960bfaec07aae51a3886d36e99d0989">CYHAL_EZI2C_STATUS_ERR</ref><sp /><sp /><sp /><sp />=<sp />0x40UL<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="134"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref>;</highlight></codeline>
<codeline lineno="135"><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga54f0efd8c2288febce0773fc53dd122b">cyhal_ezi2c_event_t</ref>;</highlight></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__hal__ezi2c_1ga0ca75741f7b6f241c28d12a4b9e1487a">cyhal_ezi2c_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref><sp />event);</highlight></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="143" refid="structcyhal__ezi2c__slave__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal">{</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />slave_address;</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />*buf;</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />buf_size;</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />buf_rw_boundary;</highlight></codeline>
<codeline lineno="156"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__ezi2c__slave__cfg__t">cyhal_ezi2c_slave_cfg_t</ref>;</highlight></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="159" refid="structcyhal__ezi2c__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal">{</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />two_addresses;</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable_wake_from_sleep;</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga4d5b397b7436fbfe3628090981026d02">cyhal_ezi2c_data_rate_t</ref><sp />data_rate;</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__ezi2c__slave__cfg__t">cyhal_ezi2c_slave_cfg_t</ref><sp />slave1_cfg;</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcyhal__ezi2c__slave__cfg__t">cyhal_ezi2c_slave_cfg_t</ref><sp />slave2_cfg;</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga88858315f478b071f59d8f0190241c05">cyhal_ezi2c_sub_addr_size_t</ref><sp />sub_address_size;</highlight></codeline>
<codeline lineno="174"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__ezi2c__cfg__t">cyhal_ezi2c_cfg_t</ref>;</highlight></codeline>
<codeline lineno="175"><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga0418a0231369904a03c9b19a734a920f">cyhal_ezi2c_init</ref>(<ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />sda,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />scl,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref><sp />*clk,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__ezi2c__cfg__t">cyhal_ezi2c_cfg_t</ref><sp />*cfg);</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga4a422210bdab95d92fc6afc6b832877f">cyhal_ezi2c_free</ref>(<ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="195"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal"><ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gae4a966b68ceb0a9b7b467a288357b35d">cyhal_ezi2c_get_activity_status</ref>(<ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="207"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gac3a9fbfa0ae4b433f830af7c0130f2f3">cyhal_ezi2c_register_callback</ref>(<ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga0ca75741f7b6f241c28d12a4b9e1487a">cyhal_ezi2c_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="217"><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__ezi2c_1gac81d408ff91899f328b51c4ba3254536">cyhal_ezi2c_enable_event</ref>(<ref kindref="compound" refid="structcyhal__ezi2c__t">cyhal_ezi2c_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__ezi2c_1ga43af4b9cfed6e50bd96e4f2434678620">cyhal_ezi2c_status_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="226"><highlight class="normal" /></codeline>
<codeline lineno="227"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="228"><highlight class="normal">}</highlight></codeline>
<codeline lineno="229"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_ezi2c.h" />
  </compounddef>
</doxygen>